# template: hammer_plugin
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name hammer_cli_foreman_puppet
%global plugin_name foreman_puppet

%{!?_root_sysconfdir:%global _root_sysconfdir %{_sysconfdir}}
%global hammer_confdir %{_root_sysconfdir}/hammer

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?foremandist}%{?dist}
Summary: Foreman Puppet plugin for Hammer CLI
Group: Development/Languages
License: GPLv3
URL: https://github.com/theforeman/hammer-cli-foreman-puppet
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.7
Requires: ruby < 4
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Foreman Puppet plugin for Hammer CLI.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{hammer_confdir}/cli.modules.d
install -m 0644 .%{gem_instdir}/config/%{plugin_name}.yml \
                %{buildroot}%{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%config %{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/config
%{gem_instdir}/test

%changelog
* Mon Jan 08 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.0.7-1
- Update to 0.0.7

* Fri May 13 2022 Nadja Heitmann <nadjah@atix.de> 0.0.6-1
- Update to 0.0.6
- Remove deprecated options from host/hostgroup

* Wed Mar 16 2022 Oleh Fedorenko <ofedoren@redhat.com> 0.0.5-1
- Update to 0.0.5

* Tue Nov 09 2021 Amir Fefer <amirfefer@gmail.com> 0.0.4-1
- Update to 0.0.4

* Thu Aug 05 2021 Amir Fefer <amirfefer@gmail.com> 0.0.3-1
- Update to 0.0.3

* Tue Aug 03 2021 Amir Fefer <amirfefer@gmail.com> 0.0.2-1
- Add rubygem-hammer_cli_foreman_puppet generated by gem2rpm using the hammer_plugin template

